# Generated by Django 3.1.13 on 2021-11-05 10:00

import core.models.validators.validators_indicator_values
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0007_historicalindicatorvalues'),
    ]

    operations = [
        migrations.CreateModel(
            name='IndicatorValuesDescription',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('light_label', models.CharField(max_length=20)),
                ('light_min_value_label', models.CharField(max_length=20)),
                ('light_max_value_label', models.CharField(max_length=20)),
                ('light_min_value', models.IntegerField()),
                ('light_max_value', models.IntegerField()),
                ('temperature_label', models.CharField(max_length=20)),
                ('temperature_min_value_label', models.CharField(max_length=20)),
                ('temperature_max_value_label', models.CharField(max_length=20)),
                ('temperature_min_value', models.IntegerField()),
                ('temperature_max_value', models.IntegerField()),
                ('continentality_label', models.CharField(max_length=20)),
                ('continentality_min_value_label',
                 models.CharField(max_length=20)),
                ('continentality_max_value_label',
                 models.CharField(max_length=20)),
                ('continentality_min_value', models.IntegerField()),
                ('continentality_max_value', models.IntegerField()),
                ('edaphic_moisture_label', models.CharField(max_length=20)),
                ('edaphic_moisture_min_value_label',
                 models.CharField(max_length=20)),
                ('edaphic_moisture_max_value_label',
                 models.CharField(max_length=20)),
                ('edaphic_moisture_min_value', models.IntegerField()),
                ('edaphic_moisture_max_value', models.IntegerField()),
                ('atmospheric_moisture_label', models.CharField(max_length=20)),
                ('atmospheric_moisture_min_value_label',
                 models.CharField(max_length=20)),
                ('atmospheric_moisture_max_value_label',
                 models.CharField(max_length=20)),
                ('atmospheric_moisture_min_value', models.IntegerField()),
                ('atmospheric_moisture_max_value', models.IntegerField()),
                ('soil_reaction_label', models.CharField(max_length=20)),
                ('soil_reaction_min_value_label', models.CharField(max_length=20)),
                ('soil_reaction_max_value_label', models.CharField(max_length=20)),
                ('soil_reaction_min_value', models.IntegerField()),
                ('soil_reaction_max_value', models.IntegerField()),
                ('nutrient_label', models.CharField(max_length=20)),
                ('nutrient_min_value_label', models.CharField(max_length=20)),
                ('nutrient_max_value_label', models.CharField(max_length=20)),
                ('nutrient_min_value', models.IntegerField()),
                ('nutrient_max_value', models.IntegerField()),
                ('salinity_label', models.CharField(max_length=20)),
                ('salinity_min_value_label', models.CharField(max_length=20)),
                ('salinity_max_value_label', models.CharField(max_length=20)),
                ('salinity_min_value', models.IntegerField()),
                ('salinity_max_value', models.IntegerField()),
                ('soil_texture_label', models.CharField(max_length=20)),
                ('soil_texture_min_value_label', models.CharField(max_length=20)),
                ('soil_texture_max_value_label', models.CharField(max_length=20)),
                ('soil_texture_min_value', models.IntegerField()),
                ('soil_texture_max_value', models.IntegerField()),
                ('organic_matter_label', models.CharField(max_length=20)),
                ('organic_matter_min_value_label',
                 models.CharField(max_length=20)),
                ('organic_matter_max_value_label',
                 models.CharField(max_length=20)),
                ('organic_matter_min_value', models.IntegerField()),
                ('organic_matter_max_value', models.IntegerField()),
            ],
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='atmospheric_moisture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_atmospheric_moisture]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='continentality',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_continentality]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='edaphic_moisture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_edaphic_moisture]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='light',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_light]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='nutrient',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_nutrient]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='organic_matter',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_organic_matter]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='salinity',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_salinity]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='soil_reaction',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_soil_reaction]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='soil_texture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_soil_texture]),
        ),
        migrations.AlterField(
            model_name='historicalindicatorvalues',
            name='temperature',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_temperature]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='atmospheric_moisture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_atmospheric_moisture]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='continentality',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_continentality]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='edaphic_moisture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_edaphic_moisture]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='light',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_light]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='nutrient',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_nutrient]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='organic_matter',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_organic_matter]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='salinity',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_salinity]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='soil_reaction',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_soil_reaction]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='soil_texture',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_soil_texture]),
        ),
        migrations.AlterField(
            model_name='indicatorvalues',
            name='temperature',
            field=models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True, validators=[
                                      core.models.validators.validators_indicator_values.validate_temperature]),
        ),
        migrations.CreateModel(
            name='HistoricalIndicatorValuesDescription',
            fields=[
                ('id', models.IntegerField(db_index=True)),
                ('light_label', models.CharField(max_length=20)),
                ('light_min_value_label', models.CharField(max_length=20)),
                ('light_max_value_label', models.CharField(max_length=20)),
                ('light_min_value', models.IntegerField()),
                ('light_max_value', models.IntegerField()),
                ('temperature_label', models.CharField(max_length=20)),
                ('temperature_min_value_label', models.CharField(max_length=20)),
                ('temperature_max_value_label', models.CharField(max_length=20)),
                ('temperature_min_value', models.IntegerField()),
                ('temperature_max_value', models.IntegerField()),
                ('continentality_label', models.CharField(max_length=20)),
                ('continentality_min_value_label',
                 models.CharField(max_length=20)),
                ('continentality_max_value_label',
                 models.CharField(max_length=20)),
                ('continentality_min_value', models.IntegerField()),
                ('continentality_max_value', models.IntegerField()),
                ('edaphic_moisture_label', models.CharField(max_length=20)),
                ('edaphic_moisture_min_value_label',
                 models.CharField(max_length=20)),
                ('edaphic_moisture_max_value_label',
                 models.CharField(max_length=20)),
                ('edaphic_moisture_min_value', models.IntegerField()),
                ('edaphic_moisture_max_value', models.IntegerField()),
                ('atmospheric_moisture_label', models.CharField(max_length=20)),
                ('atmospheric_moisture_min_value_label',
                 models.CharField(max_length=20)),
                ('atmospheric_moisture_max_value_label',
                 models.CharField(max_length=20)),
                ('atmospheric_moisture_min_value', models.IntegerField()),
                ('atmospheric_moisture_max_value', models.IntegerField()),
                ('soil_reaction_label', models.CharField(max_length=20)),
                ('soil_reaction_min_value_label', models.CharField(max_length=20)),
                ('soil_reaction_max_value_label', models.CharField(max_length=20)),
                ('soil_reaction_min_value', models.IntegerField()),
                ('soil_reaction_max_value', models.IntegerField()),
                ('nutrient_label', models.CharField(max_length=20)),
                ('nutrient_min_value_label', models.CharField(max_length=20)),
                ('nutrient_max_value_label', models.CharField(max_length=20)),
                ('nutrient_min_value', models.IntegerField()),
                ('nutrient_max_value', models.IntegerField()),
                ('salinity_label', models.CharField(max_length=20)),
                ('salinity_min_value_label', models.CharField(max_length=20)),
                ('salinity_max_value_label', models.CharField(max_length=20)),
                ('salinity_min_value', models.IntegerField()),
                ('salinity_max_value', models.IntegerField()),
                ('soil_texture_label', models.CharField(max_length=20)),
                ('soil_texture_min_value_label', models.CharField(max_length=20)),
                ('soil_texture_max_value_label', models.CharField(max_length=20)),
                ('soil_texture_min_value', models.IntegerField()),
                ('soil_texture_max_value', models.IntegerField()),
                ('organic_matter_label', models.CharField(max_length=20)),
                ('organic_matter_min_value_label',
                 models.CharField(max_length=20)),
                ('organic_matter_max_value_label',
                 models.CharField(max_length=20)),
                ('organic_matter_min_value', models.IntegerField()),
                ('organic_matter_max_value', models.IntegerField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(
                    max_length=100, null=True)),
                ('history_type', models.CharField(choices=[
                 ('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(
                    null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical indicator values description',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
